Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1678742 - Module mariadb, stream 10.4 cannot be installed.
Summary: Module mariadb, stream 10.4 cannot be installed.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: mariadb
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-19 14:02 UTC by Lukas Ruzicka
Modified: 2019-07-03 08:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-03 08:56:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Lukas Ruzicka 2019-02-19 14:02:48 UTC
Description of problem:

The mariadb module, stream 10.4 cannot be installed. Also it does not have a default profile, although one of the profiles is named default which is rather confusing.

How reproducible:

Always

Steps to Reproduce:
1. Try to install mariadb: dnf module install mariadb:10.4/default

Actual results:

[root@f30-modular ~]# dnf module install mariadb:10.4/default
Last metadata expiration check: 0:05:01 ago on Tue 19 Feb 2019 02:51:29 PM CET.
Unable to resolve argument mariadb:10.4/default
No match for package mariadb-config
Error: Problems in request:
broken groups or modules: mariadb:10.4/default

Expected results:

Module should be installable or it should not be shown in the module list.

Additional info:

Comment 1 Michal Schorm 2019-02-21 14:10:42 UTC
1) I changed the profiles (server, client, galera, devel)

2) I proposed update to set profile "server" as default
  https://pagure.io/releng/fedora-module-defaults/pull-request/57

Comment 2 Lukas Ruzicka 2019-02-21 16:09:29 UTC
Thank you, I will check when it is merged.


Note You need to log in before you can comment on or make changes to this bug.